[WIP] rFactor Import/Export Scripts for Blender

Discussion in 'Third Party Content' started by Traveller, Jun 17, 2015.

  1. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    Link to version 0.78 in the first post. Updates since 0.76.

    0.77 (unreleased)
    -Fixed typo directional light code.
    -Fixed Incorrect Context error during part of track import.

    0.78 (this release)
    -GMT normals imported via Blender custom split normals.
    -Sharp edges, currently hard coded at 30 degrees, are set during GMT import.
    -Import option to convert Tris to Quads via the built in Blender API function implemented. Check the box on the import dialog screen.
    -A different method of exporting n-gons is implemented. This method creates a triangle fan with the first vertex being the anchor.
     
  2. Emery

    Emery Registered

    Joined:
    Oct 24, 2010
    Messages:
    2,494
    Likes Received:
    1,106
    Thanks!
     
  3. Gijs van Elderen

    Gijs van Elderen Member

    Joined:
    May 1, 2014
    Messages:
    1,399
    Likes Received:
    467
  4. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    You'll have to run the scripts with Blender 2.77A. I received the same message when I tried to run these on Blender 2.76B. The Blender Foundation switched to Python 3.5 from 3.4 with the release of 2.77. I always develop the scripts with the latest version of Blender. Thus, the compiled files in the release are on Python 3.5. That's my working theory since these release scripts run on my 32-bit version of 2.77A.
     
  5. Gijs van Elderen

    Gijs van Elderen Member

    Joined:
    May 1, 2014
    Messages:
    1,399
    Likes Received:
    467
  6. Juergen-BY

    Juergen-BY Registered

    Joined:
    Jun 16, 2012
    Messages:
    2,865
    Likes Received:
    293
    I`m using 2.77a (x64) and get the same error. Any idea what`s wrong on my side?

    //Edit: i redownloaded the script files and now seems to be fine.
     
  7. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    I've updated the released scripts for use with Blender 2.78a. See the first post of the thread.
     
  8. adamfarmer

    adamfarmer Member

    Joined:
    Aug 29, 2011
    Messages:
    198
    Likes Received:
    101
    Many thanks for these tools - they've become really useful for transferring material properties and hopefully this update will make it even more useful.
     
  9. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    There is no update to the scripts, other than compiling them with the latest version of Blender. This may well be the last version of Blender before the 2.8x series starts to be released sometime next year.

    That typed, I've found a serious issue while performing the investigation of a report. I'll work on a fix and get it out as soon as I can.
     
    Emery likes this.
  10. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    For those of you who have Blender 2.78A and have downloaded the scripts from the link in the first post, I have a question: Do they work?

    The reason I ask is that I made the above posts toward the end of the life of my old computer. The parts for my new machine were do in, so I wound down work on the old machine. The scripts didn't work. They did absolutely nothing at all. That was my serious issue in the previous post.

    Anyway, I've built the new machine, and have been migrating files over to it from the old one. I tried the scripts when I got to that point in the migration. They work on the new machine. I downloaded the scripts from the link in the first post twice-- once three nights ago, and again tonight. They still work.

    So, I'd like to know how they are performing for others at the present time.
     
  11. adamfarmer

    adamfarmer Member

    Joined:
    Aug 29, 2011
    Messages:
    198
    Likes Received:
    101
    Hi Traveller,

    I don't fully utilise these scripts but importing GMTs works fine. SCN imports generally work but can have some quirks, such as trees not importing.

    Mostly, all is well and they are super helpful thanks.
     
  12. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    So they do work. Good.

    What track(s) do the trees not import from? You can send any information as PM here, or use my traveller13x gmail account.
     
  13. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    I updated the first post with two different versions of the release scripts-- one for use with 32 bit Blender, the other for use with 64 bit Blender.
     
    tafkams, adamfarmer and FuNK! like this.
  14. whitmore

    whitmore Registered

    Joined:
    Feb 26, 2012
    Messages:
    541
    Likes Received:
    137
    The 64 Bit import GMT worked fine for me. Trying to do a template for the SuperGT500 wish me luck.
    Very very new to this side of things.
     
  15. francy03

    francy03 Registered

    Joined:
    Feb 19, 2017
    Messages:
    3
    Likes Received:
    0
    hi , this is my 1st post on this forum.
    can anyone say me where is the 0.75 release?
    thanks.:):)
     
    Last edited: Feb 19, 2017
  16. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    The 0.75 release is long gone. There is little to no difference between the 0.75 and 0.78 as far as functionality is concerned. I just did bug fixes.
     
  17. francy03

    francy03 Registered

    Joined:
    Feb 19, 2017
    Messages:
    3
    Likes Received:
    0
    Hi Traveler
    I Need that version because I have the 2.74 Blender version and I have the same error of Gjis Van Elderen and I can't download 2.78 Blender version
    How ti fix It?
    Thanks
     
  18. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    Hmm. I'll take a look at what is now my old machine for a copy of 0.75 and Blender 2.74. Failing that, I'll back track 0.78 to Blender 2.74, though I make no guarantees that would work.
     
  19. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291

    One might be able to accomplish this with Blender 2.8, with Blender 101 and associated template system. Time will tell.
     
  20. Traveller

    Traveller Member

    Joined:
    Oct 7, 2010
    Messages:
    750
    Likes Received:
    291
    I found the 0.75 files on my old machine. I've updated the first post with download links for those files.
     
    adamfarmer likes this.

Share This Page